Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v3
Class ConsultStandardRouteType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v3.ConsultStandardRouteType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConsultStandardRouteAndRouteOfAdministrationType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-02-02T03:49:17+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsultStandardRouteType

extends Object
implements Serializable

Java class for ConsultStandardRouteType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultStandardRouteType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType" minOccurs="0"/>
             <element name="Definition" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType" minOccurs="0"/>
             <element name="Url" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
           <attribute name="Standard" use="required" type="{urn:be:fgov:ehealth:dics:core:v3:refdata}StdRteAllStandardsType" />
           <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultStandardRouteType()`

Method Summary
`String` | `getCode()` Gets the value of the code property.
`ConsultTextType` | `getDefinition()` Gets the value of the definition property.
`ConsultTextType` | `getName()` Gets the value of the name property.
`String` | `getStandard()` Gets the value of the standard property.
`String` | `getUrl()` Gets the value of the url property.
`void` | `setCode(String value)` Sets the value of the code property.
`void` | `setDefinition(ConsultTextType value)` Sets the value of the definition property.
`void` | `setName(ConsultTextType value)` Sets the value of the name property.
`void` | `setStandard(String value)` Sets the value of the standard property.
`void` | `setUrl(String value)` Sets the value of the url property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultStandardRouteType

    public ConsultStandardRouteType()

Method Detail

### getName

    public ConsultTextType getName()

  Gets the value of the name property.

  Returns:
    possible object is `ConsultTextType`

### setName

    public void setName(ConsultTextType value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getDefinition

    public ConsultTextType getDefinition()

  Gets the value of the definition property.

  Returns:
    possible object is `ConsultTextType`

### setDefinition

    public void setDefinition(ConsultTextType value)

  Sets the value of the definition property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getUrl

    public String getUrl()

  Gets the value of the url property.

  Returns:
    possible object is `String`

### setUrl

    public void setUrl(String value)

  Sets the value of the url property.

  Parameters:
    `value` - allowed object is `String`

### getStandard

    public String getStandard()

  Gets the value of the standard property.

  Returns:
    possible object is `String`

### setStandard

    public void setStandard(String value)

  Sets the value of the standard property.

  Parameters:
    `value` - allowed object is `String`

### getCode

    public String getCode()

  Gets the value of the code property.

  Returns:
    possible object is `String`

### setCode

    public void setCode(String value)

  Sets the value of the code property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.